<template>
    <div></div>
</template>

<script>
import useLogout from "@/hooks/auth/useLogout";

export default {
    setup() {
        const { logout } = useLogout();

        async function onLogout() {
            // show loading
            document.getElementById("full-page-loading").style.display =
                "block";

            await logout();

            // hide loading
            document.getElementById("full-page-loading").style.display = "none";
        }

        onLogout();

        return {};
    }
};
</script>
